#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Magenta

#property indicator_level1 0

double ExtMapBuffer1[];

extern int  period = 8;

int init()
{
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);

   return(0);
}

int deinit()
{
  return(0);
}

int start()
{
   int x, y;
   int counted_bars=IndicatorCounted();
   if ( counted_bars < 0 ) return ( -1 );
   if ( counted_bars > 0 ) counted_bars-- ;
   int limit = Bars - counted_bars;
   
   for(x=0 ; x<limit ; x++)
   {
      double sum = 0.0;
      
      double pc = Close[x] - Close[x+period];
      
      for(y=x ; y<=x+period ; y++)   
         sum += MathAbs(Close[y] - Close[y+1]);
         
      ExtMapBuffer1[x] = pc / sum;
   }
   
   return(0);
}
